MCP Reference: redis.googleapis.com

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

This is an MCP server which provides tools to manage Memorystore for Redis instances and Redis clusters.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The redis.googleapis.com MCP server has the following MCP endpoint:

  • https://redis.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

The redis.googleapis.com MCP server has the following tools:

MCP Tools
list_clusters List all clusters in Memorystore for Redis Cluster.
get_cluster Get detailed information about a cluster in Memorystore for Redis Cluster.
create_cluster Create a cluster in Memorystore for Redis Cluster.
delete_cluster Delete a cluster in Memorystore for Redis Cluster.
update_cluster Update a cluster in Memorystore for Redis Cluster.
get_cluster_certificate_authority Get the certificate authority for a cluster in Memorystore for Redis Cluster.
reschedule_cluster_maintenance Reschedule maintenance for a cluster in Memorystore for Redis Cluster.
list_backup_collections List all Memorystore for Redis Cluster backup collections.
get_backup_collection Get detailed information about a Memorystore for Redis Cluster backup collection.
list_backups List all Memorystore for Redis Cluster backups.
get_backup Get detailed information about a Memorystore for Redis Cluster backup.
delete_backup Delete a Memorystore for Redis Cluster backup.
export_backup Export a Memorystore for Redis Cluster backup.
backup_cluster Back up a cluster in Memorystore for Redis Cluster.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
                      curl --location 'https://redis.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'